# For convenient testing of this image

version: '3' # docker compose version
services:
  flow-test-target:
    build:
      dockerfile: Dockerfile
      context: .
    image: registry.gitlab.com/flow-systems/public/mqtt-logger:test  # Consider importing this as an environment variable
    restart: always
    depends_on:
    - mqtt-broker
  mqtt-broker:
    image: eclipse-mosquitto:latest
    restart: always
    expose:
      - 1883
    ports:
      - "1883:1883"
      - "9001:9001"
  flow-test-agent:
    expose:
      - 5051  # Port which simulator needs to expose
    depends_on:
      - mqtt-broker
      - flow-test-target
    environment:
      - FLOW_MQTT_BROKER_HOST=mqtt-broker
#      - FLOW_LOG_LEVEL_MQTT=error
    build:
      context: .
      dockerfile: Dockerfile_test
    volumes:
      - ./test/vessel:/vessel/
